def notifyLINE(message) {
    def token = "phw93EO92hGosin2R44Aal5taiBqFVR1EmLnloIax8s";
    def jobName = env.JOB_NAME + ' - ' + env.BRANCH_NAME;
    def buildNo = env.BUILD_NUMBER;
      
    def url = "https://notify-api.line.me/api/notify";
    def lineMessage = "${jobName} [#${buildNo}] : ${message} \r\n";
    
    sh "curl ${url} -H 'Authorization: Bearer ${token}' -F 'message=${lineMessage}'";
}

pipeline {
    agent any
    tools {
        nodejs "NodeJS" // Use the name of the NodeJS installation configured in Jenkins
    }
 
    stages {
        stage('Hello') {
            steps {
                echo 'Hello Worldx'
            }
        }
        // stage('Build') {
        // steps {
        //     sh 'node -v'
        //     echo 'npm i install'
        //     sh 'npm install -f'
            
        // }
        // }
        // stage('run'){
        //     steps {
        //         sh 'npm run start:dev'
        //     }
        // }
    }
    post {
    success {
        notifyLINE("succeed")
    }
    failure {
        notifyLINE("failed")
    }
  }
}